Index: code/branches/presentation2012merge/data/levels/surfaceRace.oxw
===================================================================
--- code/branches/presentation2012merge/data/levels/surfaceRace.oxw	(revision 9271)
+++ code/branches/presentation2012merge/data/levels/surfaceRace.oxw	(revision 9272)
@@ -12,5 +12,5 @@
   include("templates/spaceshipRace.oxt")
   include("templates/pickupRepresentationTemplates.oxt")
- 
+
 ?>
 
@@ -39,14 +39,14 @@
 
 <SpaceRaceManager>
- <checkpoints>	
-	<RaceCheckPoint name="checkpoint1" position="0,8050,-1000" direction="0,1,0" collisionType="static" scale="4" distance="150" checkpointindex="0" islast="false" nextcheckpoints="1,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-	
-<!-- 
-		<Model position="0,0,55" mesh="testcube.mesh" scale3D="110,20,20" />
-		<Model position="0,0,-55" mesh="testcube.mesh" scale3D="110,20,20" />
-		<Model position="55,0,0" mesh="testcube.mesh" scale3D="20,20,110" />
-		<Model position="-55,0,0" mesh="testcube.mesh" scale3D="20,20,110" />
+ <checkpoints>
+    <RaceCheckPoint name="checkpoint1" position="0,8050,-1000" direction="0,1,0" collisionType="static" scale="4" distance="150" checkpointindex="0" islast="false" nextcheckpoints="1,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+
+<!--
+        <Model position="0,0,55" mesh="testcube.mesh" scale3D="110,20,20" />
+        <Model position="0,0,-55" mesh="testcube.mesh" scale3D="110,20,20" />
+        <Model position="55,0,0" mesh="testcube.mesh" scale3D="20,20,110" />
+        <Model position="-55,0,0" mesh="testcube.mesh" scale3D="20,20,110" />
 
 -->
@@ -57,18 +57,18 @@
 
 
-	<collisionShapes>
-
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-	 
-        </collisionShapes>
-
-
-
-	
+    <collisionShapes>
+
+
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+
+
+        </collisionShapes>
+
+
+
+
     </RaceCheckPoint>
 
@@ -77,5 +77,5 @@
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
         </attached>
-       
+
 
            <collisionShapes>
@@ -85,5 +85,5 @@
             <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
             <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-	 
+
         </collisionShapes>
     </RaceCheckPoint>
@@ -103,5 +103,5 @@
             <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
 
-	 
+
         </collisionShapes>
 
@@ -121,5 +121,5 @@
             <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
 
-	 
+
         </collisionShapes>
 
@@ -139,5 +139,5 @@
             <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
 
-	 
+
         </collisionShapes>
 
@@ -157,5 +157,5 @@
             <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
 
-	 
+
         </collisionShapes>
     </RaceCheckPoint>
@@ -175,5 +175,5 @@
             <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
 
-	 
+
         </collisionShapes>
 
@@ -192,5 +192,5 @@
             <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
             <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-	 
+
         </collisionShapes>
     </RaceCheckPoint>
@@ -209,5 +209,5 @@
             <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
 
-	 
+
         </collisionShapes>
 
@@ -227,5 +227,5 @@
             <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
 
-	 
+
         </collisionShapes>
 
@@ -244,5 +244,5 @@
             <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
 
-	 
+
         </collisionShapes>
 
@@ -261,5 +261,5 @@
             <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
 
-	 
+
         </collisionShapes>
 
@@ -278,5 +278,5 @@
             <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
             <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-	 
+
         </collisionShapes>
     </RaceCheckPoint>
@@ -293,5 +293,5 @@
             <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
             <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-	 
+
         </collisionShapes>
     </RaceCheckPoint>
@@ -303,29 +303,29 @@
  <SpawnPoint team=0 position="0,8050,0" lookat="0,8000,-8000" spawnclass=SpaceShip pawndesign=spaceshipRace />
 
-  
-	<!-- -----------------------Zylinder---------------------------- -->
+
+    <!-- -----------------------Zylinder---------------------------- -->
 <StaticEntity position="2750,8050,6000" direction="1,0,0" roll="90"  scale="4" collisionType=static mass=100000 friction=0.01 >
       <attached>
-	<Model position="0,0,0" mesh="cylinder.mesh" scale3D="100,100,400" />
-	<!--
-            	<Model position="0,80,600" mesh="testcube.mesh" scale3D="90,18,-600" />
-		<Model position="0,-80,600" mesh="testcube.mesh" scale3D="90,18,-600" />
-		<Model position="80,0,600" mesh="testcube.mesh" scale3D="18,90,-600" />
-		<Model position="-80,0,600" mesh="testcube.mesh" scale3D="18,09,-600" />
-	 -->
+    <Model position="0,0,0" mesh="cylinder.mesh" scale3D="100,100,400" />
+    <!--
+                <Model position="0,80,600" mesh="testcube.mesh" scale3D="90,18,-600" />
+        <Model position="0,-80,600" mesh="testcube.mesh" scale3D="90,18,-600" />
+        <Model position="80,0,600" mesh="testcube.mesh" scale3D="18,90,-600" />
+        <Model position="-80,0,600" mesh="testcube.mesh" scale3D="18,09,-600" />
+    -->
 
       </attached>
 
 
- 	<collisionShapes>
-          
-            	
-		<BoxCollisionShape position="0,320,2400"            halfExtents="360,72,2400" />
-		<BoxCollisionShape position="0,-320,2400"      halfExtents="360,72,2400" />
-		<BoxCollisionShape position="320,0,2400"            halfExtents="72,360,2400" />
-		<BoxCollisionShape position="-320,0,2400"     halfExtents="72,360,2400" />
-            	
-
-	
+    <collisionShapes>
+
+
+        <BoxCollisionShape position="0,320,2400"            halfExtents="360,72,2400" />
+        <BoxCollisionShape position="0,-320,2400"      halfExtents="360,72,2400" />
+        <BoxCollisionShape position="320,0,2400"            halfExtents="72,360,2400" />
+        <BoxCollisionShape position="-320,0,2400"     halfExtents="72,360,2400" />
+
+
+
         </collisionShapes>
 
@@ -335,16 +335,16 @@
 <StaticEntity position="4465,8050,-500" direction="0,0,0"   scale="1" collisionType=static mass=100000 friction=0.01 >
       <attached>
-	<Model position="0,0,0" mesh="blackcube.mesh" scale3D="450,600,50" />
+    <Model position="0,0,0" mesh="blackcube.mesh" scale3D="450,600,50" />
 <!--
-            	<Model position="0,0,0" mesh="testcube.mesh" scale3D="450,600,50" />
-		-->
+                <Model position="0,0,0" mesh="testcube.mesh" scale3D="450,600,50" />
+        -->
 
       </attached>
 
 
- 	<collisionShapes>
-          
-            	
-		<BoxCollisionShape position="0,0,0"            halfExtents="450,600,50" />
+    <collisionShapes>
+
+
+        <BoxCollisionShape position="0,0,0"            halfExtents="450,600,50" />
 
         </collisionShapes>
@@ -354,16 +354,16 @@
 <StaticEntity position="3535,8050,-500" direction="0,0,0"   scale="1" collisionType=static mass=100000 friction=0.01 >
       <attached>
-	<Model position="0,0,0" mesh="blackcube.mesh" scale3D="450,600,50" />
+    <Model position="0,0,0" mesh="blackcube.mesh" scale3D="450,600,50" />
 <!--
-            	<Model position="0,0,0" mesh="testcube.mesh" scale3D="450,600,50" />
-		 -->
+                <Model position="0,0,0" mesh="testcube.mesh" scale3D="450,600,50" />
+        -->
 
       </attached>
 
 
- 	<collisionShapes>
-          
-            	
-		<BoxCollisionShape position="0,0,0"            halfExtents="450,600,50" />
+    <collisionShapes>
+
+
+        <BoxCollisionShape position="0,0,0"            halfExtents="450,600,50" />
 
         </collisionShapes>
@@ -374,5 +374,5 @@
 
 
-	<!-- ------------------Boden----------------- -->
+    <!-- ------------------Boden----------------- -->
   <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
      <attached>
@@ -382,5 +382,5 @@
         <BoxCollisionShape position="0,50,0" halfExtents="8000,8000,8000" />um j?:P"{
 
-      </collisionShapes> 
+      </collisionShapes>
 </StaticEntity>
 
@@ -416,8 +416,8 @@
     for i = 0, max, 1
     do
-	x=-12000
-	y=10000
-	z=-12000
- 
+    x=-12000
+    y=10000
+    z=-12000
+
     ?>
     <?lua
